//curl -X GET --header 'Accept: application/json' --header 'Authorization: FlespiToken ABC...XYZ' 'https://flespi.io/gw/protocols/all'
var https = require('https');
var optionsGet = {
    host : 'flespi.io',
    port : 443,
    path : '/gw/protocols/all',
    method : 'GET',
    headers: {
        "Accept": "application/json",
        "Authorization": "FlespiToken ABC...XYZ"
    }
};
// do the GET request
var reqGet = https.request(optionsGet, function(res) {
    console.log("statusCode: ", res.statusCode);
    console.log("headers: ", res.headers);
    res.on('data', function(d) {
        console.info('GET protocols result:\n');
        console.log(JSON.parse(d));
    });
});
reqGet.end();
reqGet.on('error', function(e) { console.error(e);});
